SDL_RenderGeometry(3)

NAME
SDL_RenderGeometry - Render a list of triangles, optionally using a texture and indices into the vertex array Color and alpha modulation is done per vertex (SDL_SetTextureColorMod and SDL_SetTextureAlphaMod are ignored).

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_RenderGeometry(SDL_Renderer *renderer,
                   SDL_Texture *texture,
                   const SDL_Vertex *vertices, int num_vertices,
                   const int *indices, int num_indices);

FUNCTION PARAMETERS

renderer
    the rendering context.

texture
    (optional) The SDL texture to use.

vertices
    vertices.

num_vertices
    number of vertices.

indices
    (optional) An array of integer indices into the 'vertices' array, if NULL all vertices will be rendered in sequential order.

num_indices
    number of indices.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_RenderGeometryRaw(3)